> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v2/card/{id}/credentials



## OpenAPI

````yaml POST /v2/card/{id}/credentials
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/card/{id}/credentials:
    post:
      tags:
        - card
      summary: Fetch card credentials (pin/pan/cvv/password/phone)
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardCredentialsRequestV2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardCredentialsV2'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    CardCredentialsRequestV2:
      type: object
      properties:
        fields:
          type: array
          uniqueItems: true
          items:
            type: string
            enum:
              - password
              - cvv
              - pin
              - pan
              - phone
    CardCredentialsV2:
      type: object
      properties:
        password:
          type:
            - string
            - 'null'
        cvv:
          type:
            - string
            - 'null'
        pin:
          type:
            - string
            - 'null'
        pan:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
      required:
        - password
        - cvv
        - pin
        - pan
        - phone
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````